# Controlling error/information output

## Functions

void | jack_set_error_function (void(*func)(const char *))
void | jack_set_info_function (void(*func)(const char *))

## Variables

void(* | jack_error_callback )(const char *msg)
void(* | jack_info_callback )(const char *msg)

## Function Documentation

void jack_set_error_function | ( | void(*)(const char *) | func | ) |

Set the jack_error_callback for error message display.

The JACK library provides two built-in callbacks for this purpose: default_jack_error_callback() and silent_jack_error_callback().

void jack_set_info_function | ( | void(*)(const char *) | func | ) |

Set the jack_info_callback for info message display.

## Variable Documentation

void(* jack_error_callback)(const char *msg)

Display JACK error message.

Set via jack_set_error_function(), otherwise a JACK-provided default will print msg (plus a newline) to stderr.

Parameters:

  | msg | error message text (no newline at end).

void(* jack_info_callback)(const char *msg)

Display JACK info message.

Set via jack_set_info_function(), otherwise a JACK-provided default will print msg (plus a newline) to stdout.

Parameters:

  | msg | info message text (no newline at end).